<mat-card fxLayout="column" fxLayoutGap="20px">
  <div fxLayout="row" fxLayoutAlign="start center">
    <h3 fxLayoutAlign="start center"><mat-icon>feedback</mat-icon> {{ 'COMPONENTS.USERFEEDBACK.HEADLINE' | translate }}</h3>
  </div>

  <form [formGroup]="feedbackForm" fxLayout="column" fxLayoutGap="4px">
    <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="4px">
      <mat-form-field appearance="outline">
        <mat-label>{{ 'COMPONENTS.USERFEEDBACK.KIND' | translate }}</mat-label>
        <mat-select placeholder="{{ 'COMPONENTS.USERFEEDBACK.KIND' | translate }}" [value]="feedbackType.Error" formControlName="art">
          <mat-option [value]="feedbackType.Wish"> {{ 'COMPONENTS.USERFEEDBACK.KINDS.WISH' | translate }} </mat-option>
          <mat-option [value]="feedbackType.Error"> {{ 'COMPONENTS.USERFEEDBACK.KINDS.ERROR' | translate }} </mat-option>
          <mat-option [value]="feedbackType.Question"> {{ 'COMPONENTS.USERFEEDBACK.KINDS.QUESTION' | translate }} </mat-option>
          <mat-option [value]="feedbackType.Other"> {{ 'COMPONENTS.USERFEEDBACK.KINDS.OTHER' | translate }} </mat-option>
        </mat-select>
        <mat-error>{{ 'COMPONENTS.USERFEEDBACK.FILLIN' | translate }}</mat-error>
      </mat-form-field>

      <mat-form-field appearance="outline" fxFlex="50" fxFlex.lt-md="100">
        <mat-label>{{ 'COMPONENTS.USERFEEDBACK.NAME' | translate }}</mat-label>
        <input matInput type="text" placeholder="Name" formControlName="name" required />
        <mat-error>{{ 'COMPONENTS.USERFEEDBACK.FILLIN' | translate }}</mat-error>
      </mat-form-field>

      <mat-form-field appearance="outline" fxFlex="50" fxFlex.lt-md="100">
        <mat-label>{{ 'COMPONENTS.USERFEEDBACK.MAIL' | translate }}</mat-label>
        <input matInput type="text" placeholder="E-Mail" formControlName="mail" #mail required />
        <mat-error>{{ 'COMPONENTS.USERFEEDBACK.FILLIN' | translate }} {{ 'COMPONENTS.USERFEEDBACK.MAIL_FORMAT' | translate }}</mat-error>
      </mat-form-field>
    </div>

    <mat-form-field appearance="outline">
      <mat-label>{{ 'COMPONENTS.USERFEEDBACK.SUBJECT' | translate }}</mat-label>
      <input matInput type="text" placeholder="Betreff" formControlName="subject" required />
      <mat-error>{{ 'COMPONENTS.USERFEEDBACK.FILLIN' | translate }}</mat-error>
    </mat-form-field>

    <mat-form-field appearance="outline">
      <mat-label>{{ 'COMPONENTS.USERFEEDBACK.MESSAGE' | translate }}</mat-label>
      <textarea matInput cdkTextareaAutosize #autosize="cdkTextareaAutosize" cdkAutosizeMinRows="5" cdkAutosizeMaxRows="10" formControlName="message" required></textarea>
      <mat-error>{{ 'COMPONENTS.USERFEEDBACK.FILLIN' | translate }}</mat-error>
      <mat-hint>* {{ 'COMPONENTS.USERFEEDBACK.DUTY' | translate }}</mat-hint>
    </mat-form-field>

    <div fxLayout="row" fxLayoutGap="10px" fxLayoutAlign="end start">
      <button mat-raised-button color="primary" (click)="sendFeedback()" [disabled]="!feedbackForm.valid" *ngIf="!isSending">
        <mat-icon>send</mat-icon> {{ 'COMPONENTS.USERFEEDBACK.SEND' | translate }}
      </button>
      <div *ngIf="isSending">
        <mat-chip-list>
          <mat-chip color="primary" selected
            ><span class="loading-chip loading-animation">{{ 'COMPONENTS.USERFEEDBACK.SENDING' | translate }}</span></mat-chip
          >
        </mat-chip-list>
      </div>
    </div>
  </form>
</mat-card>
